{% extends "base.html" %} {% block links %} {{ super() }} {% endblock %} {%
block title %} Company - {% endblock %} {% block header %} {% include
"sub_templates/header.html" %} {% endblock %} {% block main %}
<h1 class="text-2xl font-semibold text-center mb-10">Ajouter une promotion</h1>

<form method="POST" class="shadow rounded px-4 py-3 gap-3 flex flex-col">
  <div class="flex flex-col">
    <label class="font-medium mb-2 text-gray-900 text-sm">Nom de la promotion</label>
    <input type="text" name="name" required placeholder="Écrivez le nom de la promotion ici"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" {%
      if
      promo
      %}value="{{ promo.name }}" {%
      endif
      %} />
  </div>

  <div class="flex flex-col">
    <label class="font-medium mb-2 text-gray-900 text-sm">Responsable de la promotion</label>
    <select name="manager" required placeholder="Écrivez le nom de la promotion ici"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2" {%
      if
      promo
      %}value="{{ promo.name }}" {%
      endif
      %}>
      {% for manager in get_all_teacher() %}
      <option value="{{ manager.id }}" {%
        if
        manage
        and
        user_manage_promo(manager.id,
        promo.id)
        %} selected {%
        endif
        %}>
        {{ manager.first_name }} {{ manager.last_name }}
      </option>
      {% endfor %}
    </select>
  </div>
  <button type="button"
    class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit mx-auto mt-5"
    data-layer-selector="#add-company-layer" onclick="toggleLayer(this)">
    Prof non trouvé ?
  </button>
  <button <button type="submit"
    class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-2 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
    {% if promo %}Modifier{% else %}Ajouter{% endif %} la promotion
  </button>
</form>

<div id="background-layer" class="layer hidden fixed top-0 left-0 w-full h-full bg-[#00000066] z-20"
  onclick="closeLayers()"></div>

<form id="add-company-layer" method="POST" action="{{ url_for('add_new_teacher') }}"
  class="layer fullscreen-layer hidden max-w-5xl flex bg-white rounded p-6 overflow-y-auto flex-col w-full z-20 fixed max-h-[90%] m-auto top-0 left-0 right-0 bottom-0 shadow h-fit">
  <h2 class="text-2xl font-semibold text-center mb-4">Ajouter un prof</h2>

  <div class="flex flex-col mt-4">
    <label class="font-medium mb-2 text-gray-900 text-sm">Prénom du prof</label>
    <input type="text" name="taecher_fname" required placeholder="Écrivez le prénom ici"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
  </div>

  <div class="flex flex-col mt-4">
    <label class="font-medium mb-2 text-gray-900 text-sm">Nom du prof</label>
    <input type="text" name="taecher_lname" required placeholder="Écrivez le nom ici"
      onkeyup="this.value = this.value.toUpperCase();"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
  </div>

  <div class="flex flex-col mt-4">
    <label class="font-medium mb-2 text-gray-900 text-sm">Email du prof</label>
    <input type="email" name="taecher_email" required placeholder="Écrivez l'adresse mail ici"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
  </div>

  <div class="flex flex-col mt-4">
    <label class="font-medium mb-2 text-gray-900 text-sm">Le numéro (p12345) du prof</label>
    <input type="text" name="taecher_numero" required placeholder="Écrivez le numéro ici"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
  </div>

  <div class="flex flex-col mt-4">
    <label class="font-medium mb-2 text-gray-900 text-sm">Mot de passe</label>
    <span style="font-size:12px"> <span>* </span> Le mot de passe sera ajouter par défaut comme le numéro</span>
    <input type="text" name="teacher_password" readonly placeholder="Le mot de passe sera le numéro"
      class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
  </div>
  <script>
    document
      .querySelector('input[name="taecher_numero"]')
      .addEventListener("input", function (e) {
        document.querySelector('input[name="teacher_password"]').value =
          e.target.value;
      });
  </script>

  {% if user_error %}
  <p class="error" style="text-align: center; color: red;  margin-top: 1rem;">{{ user_error }}</p>
  {% endif %}

  <button type="submit"
    class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">
    Ajouter le prof
  </button>
</form>
{% endblock %} {% block footer %} {% include "sub_templates/footer.html" %} {%
endblock footer%} {% block script %} {{ super() }} {% endblock %}